虚拟机安装的linux 6.7版本,自带的python是2.6,如果不需要升级python版本的可以直接安装ipython

[root@adsl-172-10-0-3 ~]# python -V  ----查看python版本

[root@adsl-172-10-0-3 ~]# yum install python-pip

[root@adsl-172-10-0-3 ~]# pip install ipython

[root@adsl-172-10-0-3 ~]# pip install ipython==1.2.1 --指定版本安装ipython


==========================

现在需要升级python版本 到3.6.1

步骤如下

[root@adsl-172-10-0-3 ~]# cd  /usr/local/src  #进下载目录

[root@adsl-172-10-0-3 src]# wget https://www.python.org/ftp/python/3.6.1/Python-3.6.1.tar.xz

# 下载python-3.6.1

[root@adsl-172-10-0-3 src]# tar xvf Python-3.6.1.tar.xz   #解压安装包

[root@adsl-172-10-0-3 src]# cd Python-3.6.1

[root@adsl-172-10-0-3 Python-3.6.1]# ./configure --prefix=/usr/local/python3 #配置编译安装目录


[root@adsl-172-10-0-3 Python-3.6.1]# make

[root@adsl-172-10-0-3 Python-3.6.1]# make install

编译时出现报错:

                          zipimport.ZipImportError: can't decompress data; zlib not available


http://www.zlib.net/

[root@adsl-172-10-0-3 src]# wget http://www.zlib.net/zlib-1.2.11.tar.gz       #下载包

[root@adsl-172-10-0-3 src]# cd zlib-1.2.11        

[root@adsl-172-10-0-3 Python-3.6.1]# ./configure      #编译

[root@adsl-172-10-0-3 Python-3.6.1]# make&& make install

[root@adsl-172-10-0-3 Python-3.6.1]# cp   /usr/local/python3/bin/python3  /usr/bin/python3

[root@adsl-172-10-0-3 Python-3.6.1]# ln -s /usr/local/python3/bin/python3 /usr/bin/python3

[root@adsl-172-10-0-3 Python-3.6.1]# python3

Python 3.6.1 (default, Jun 26 2017, 20:50:33)
[GCC 4.4.7 20120313 (Red Hat 4.4.7-18)] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>>                             ####版本已升级为Python 3.6.1


安装pip3

root@adsl-172-10-0-3 src]# wget https://pypi.python.org/packages/75/03/bb1ce0cf9f8a86f52b34090708e1806bc11e2d29b193e7d6fe0afe9a61e5/ipython-6.0.0.tar.gz#md5=4169cfe24253c342d7a0b966f5c76281   

##下载ipython包


[root@adsl-172-10-0-3 src]# tar zxvf ipython-6.0.0.tar.gz

[root@adsl-172-10-0-3 ipython-6.0.0]# python setup.py install

[root@adsl-172-10-0-3 ipython-6.0.0]# /usr/local/python3/bin/pip3 install traitlets pygments pexpect pickleshare prompt_toolkit simplegeneric  ###安装pip 包


[root@adsl-172-10-0-3 ~]# /usr/local/python3/bin/ipython3

/usr/local/python3/lib/python3.6/site-packages/IPython/core/history.py:227: UserWarning: IPython History requires SQLite, your history will not be saved

  warn("IPython History requires SQLite, your history will not be saved")

Python 3.6.1 (default, Jun 26 2017, 20:50:33)

Type 'copyright', 'credits' or 'license' for more information

IPython 6.0.0 -- An enhanced Interactive Python. Type '?' for help.


In [1]:          ###已成功可以使用 ipyhon


[root@adsl-172-10-0-3 ~]# ln -s /usr/local/python3/bin/ipython3 /usr/bin/ipython3##软连接


总结:

python2.6升级到python3.6.1版本,同时配合ipython3 使用